Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000065Piwigodatabasepublic2004.11.29 16:552013.03.02 13:19
Reporterlaug 
Assigned Tomistic100 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.5.0RC1Fixed in Version2.5.0RC1 
Summary0000065: Add support for PHP mysqli extension
DescriptionHello,

The mysql extension in PHP will soon be deprecated, as it does not support versions of MySQL higher than 4.0. (The current stable MySQL release, which I am using, is 4.1). Therefore I think it would be a good idea if you were to include support for the mysqli extension.
Additional Informationhttp://www.php.net/mysqli [^]
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 2
Attached Files

- Relationships

-  Notes
(0000059)
plg (manager)
2004.12.06 00:06

Problem is that SQL queries are more MySQL queries than SQL queries... you see what I mean. In PhpWebGallery, there is no database access layer.

I take your suggestion into account (and I've already been asked to support PostgreSQL) but not before 1.5 or even 2.0
(0001379)
plg (manager)
2006.08.16 18:01

Nearly 2 years after the opening of this issue, I realize I had completely misunderstood your request. You were asking to use the new PHP MySQL interface (mysqli stands as mysql improved) not to use SQLite as PhpWebGallery database.

> The mysql extension in PHP will soon be deprecated, as it
> does not support versions of MySQL higher than 4.0

Are you still sure of that? We've never used mysqli and PhpWebGallery works fine with MySQL 4.1 (and even 5.0).
(0001384)
nikrou (developer)
2006.08.17 10:55

The mysqli extension allows to access the new functionnalities such transactions, provided by mysql server 4.1 and above.
We don't use such of functionnalities and PhpWebGallery works fine with mysql 4.1 and above with mysql extension. But in future, it could be a good idea to use that extension which provied better performances. Wait and see.
(0001404)
plg (manager)
2006.08.22 18:27

My web hosting service is using PHP 5.0.5 and mysqli extension is not available :-/. That makes me think that:

> The mysql extension in PHP will soon be deprecated [...]

written in late 2004 was a bit theoretical.
(0001414)
mathiasm (manager)
2006.08.29 02:59

I think laug was talking about first paragraphs of
en: http://www.php.net/manual/en/ref.mysql.php [^]
fr: http://www.php.net/manual/fr/ref.mysql.php [^]
(0006816)
mistic100 (developer)
2013.01.30 12:05

now we are in 2013 and we can add this support my default :-)
(0006817)
svn (reporter)
2013.01.30 12:12

[Subversion] r20462 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:65 Add support for PHP mysqli extension, activated by default, remove returns of link_identifier
(0006818)
rvelices (developer)
2013.01.31 20:15

can we add pwg_db_fetch_array please ? (Im using in some of my plugins)
Thanks
(0006819)
svn (reporter)
2013.02.01 13:18

[Subversion] r20510 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:65 add fetch_array SQL functions
(0006830)
svn (reporter)
2013.02.04 14:04

[Subversion] r20545 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 65: fetch_assoc behaves different with mysql and mysqli. When no row
is returned, mysql returns bool:false, while mysqli returns null and it was
breaking completely the installation process. I have faked the old mysql
behavior with mysqli (just for get_default_user_infos function)
(0006831)
svn (reporter)
2013.02.04 14:06

[Subversion] r20546 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 65: piwigo_structure-mysqli.php doesn't exist, we force the use of piwigo_structure-mysql.php
(0006850)
svn (reporter)
2013.02.12 12:06

[Subversion] r20720 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:65 pwg_db_connect doesn't return anything now
(0006851)
svn (reporter)
2013.02.12 12:37

[Subversion] r20721 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:65 fix fatal error at the end of the install process, remove unused file and function
(0006871)
svn (reporter)
2013.03.02 13:19

[Subversion] r21088 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:65 add pwg_db_errno and pwg_db_error

- Issue History
Date Modified Username Field Change
2004.11.29 16:55 laug New Issue
2004.11.29 16:55 laug browser => any
2004.11.29 16:55 laug Web server => Apache 2
2004.12.06 00:06 plg Note Added: 0000059
2006.08.16 18:01 plg Note Added: 0001379
2006.08.16 18:01 plg Status new => feedback
2006.08.17 10:55 nikrou Note Added: 0001384
2006.08.22 18:27 plg Note Added: 0001404
2006.08.29 02:59 mathiasm Note Added: 0001414
2011.08.31 23:04 plg Status feedback => closed
2011.08.31 23:04 plg Resolution open => no change required
2013.01.30 12:05 mistic100 Assigned To => mistic100
2013.01.30 12:05 mistic100 Note Added: 0006816
2013.01.30 12:05 mistic100 Status closed => feedback
2013.01.30 12:05 mistic100 Resolution no change required => reopened
2013.01.30 12:12 svn Checkin
2013.01.30 12:12 svn Note Added: 0006817
2013.01.31 20:15 rvelices Note Added: 0006818
2013.02.01 13:18 svn Checkin
2013.02.01 13:18 svn Note Added: 0006819
2013.02.03 15:56 mistic100 Fixed in Version => 2.5.0RC1
2013.02.03 15:57 mistic100 Status feedback => closed
2013.02.03 15:57 mistic100 Resolution reopened => fixed
2013.02.03 15:57 mistic100 Status closed => feedback
2013.02.03 15:57 mistic100 Resolution fixed => reopened
2013.02.03 15:58 mistic100 Status feedback => closed
2013.02.03 15:58 mistic100 Target Version => 2.5.0RC1
2013.02.04 14:04 svn Checkin
2013.02.04 14:04 svn Note Added: 0006830
2013.02.04 14:06 svn Checkin
2013.02.04 14:06 svn Note Added: 0006831
2013.02.04 14:10 plg Resolution reopened => fixed
2013.02.12 12:06 svn Checkin
2013.02.12 12:06 svn Note Added: 0006850
2013.02.12 12:37 svn Checkin
2013.02.12 12:37 svn Note Added: 0006851
2013.03.02 13:19 svn Checkin
2013.03.02 13:19 svn Note Added: 0006871


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker